SET targetfile=%USERPROFILE%\.barcodeshipping\systeminformation.txt
SET installation_path="C:\Program Files\YBM\BarcodeShipping"
SET profile_folder=%USERPROFILE%\.barcodeshipping\config

type nul > %targetfile%
echo ====== Systeminformationen ====== >> %targetfile%
echo Datum der Datenerhebung: >> %targetfile%
DATE /T >> %targetfile%
TIME /T >> %targetfile%

echo. >> %targetfile%
echo ===== Systeminformation ===== >> %targetfile%
echo Computer (Host): %COMPUTERNAME% >> %targetfile%
systeminfo | findstr "Betriebssystemname:" >> %targetfile%
systeminfo | findstr "Systemtyp:" >> %targetfile%
echo Benutzer: %USERNAME% >> %targetfile%

echo. >> %targetfile%
echo ===== Java-Version ===== >> %targetfile%
java -version 2>> %targetfile%

echo. >> %targetfile%
echo ==== Java-Umgebungsvariable ==== >> %targetfile%
echo %JAVA_HOME% >> %targetfile%

echo. >> %targetfile%
echo ===== BcS-Module ===== >> %targetfile%
echo Untersuchter Installationspfad: %installation_path% (\lib) >> %targetfile%

echo. >> %targetfile%
echo ==== Shops ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.shop* >> %targetfile%

echo. >> %targetfile%
echo ==== Scale ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.scale* >> %targetfile%

echo. >> %targetfile%
echo ==== Shipper ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.ship* >> %targetfile%

echo. >> %targetfile%
echo ==== Filter ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.filter* >> %targetfile%

echo. >> %targetfile%
echo ==== Stapelverarbeitung ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.batch* >> %targetfile%

echo. >> %targetfile%
echo ==== ModuleWebserver ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.module.webserver.jar >> %targetfile%

echo. >> %targetfile%
echo ==== HTTP Proxy ==== >> %targetfile%
dir /b %installation_path%\lib\*barcodeshipping.proxy.jar >> %targetfile%

echo. >> %targetfile%
echo ===== Profile ===== >> %targetfile%
dir %profile_folder% /A:D /B >> %targetfile%

echo. >> %targetfile%
echo ===== Printer ===== >> %targetfile%
wmic printer list brief >> %targetfile%


:: license: AGPLv3+ (free, copyleft -> https://www.gnu.org/licenses/agpl-3.0.de.html)
:: author: Till Neuhaus
:: version: 1.0.3
